@import "./spinner.css";
@import "./loadingPage.css";
@import "./fonts.css";
@import "./home.css";
@import "./register-login.css";
@import "./contacts.css";
@import './editor.css';
@import './quiz.css';
@import './details.css';
@import './result.css';
@import './profile.css';
@import './about.css';

@import 'https://use.fontawesome.com/releases/v5.10.2/css/all.css';

/* Responsive */
@import './responsive/responsive-home.css';
@import './responsive/responsive-forms.css';
@import './responsive/responsive-profile.css';
@import './responsive/responsive-quiz.css';
@import './responsive/responsive-editor.css';
@import './responsive/responsiv-contacts.css';
@import './responsive/responsive-about.css';


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, #guest-home-page {
    min-height: 100vh;
    background: linear-gradient(90deg, rgba(33,29,99,1) 0%, rgba(68,37,190,1) 38%, rgba(131,24,187,1) 100%);
    background-attachment: fixed;
    position: relative;
}

#home-container,
#register-container,
#login-container,
#about-container,
#contacts-container,
#browse-container,
#editor,
#quiz,
#details,
#profile-page,
#summary{
    /* width: 75%; */
    margin: auto;
    margin-top: 2%;
    position: relative;
    margin-bottom: 26px;
    z-index: 0;
 
}

body::before{
    content: '';
    background: url(/assets/dots.svg);
    width: 105px;
    height: 135px;
    position: absolute;
    left: 30px;
    bottom: 110px;
}

body::after{
    content: '';
    background: url(/assets/award.svg);
    width: 150px;
    height: 135px;
    position: absolute;
    z-index: -2;
    right: 10px;
    top: 150px;
    opacity: 0.6;
}

.content-page-holder{
    display: flex;
    flex-flow: column;
    justify-content: space-between;
}

main{
    margin-bottom: 50px;
}


.glass{
    box-shadow: 0 0 1rem rgba(0, 0, 0, 0.568);
    position: relative;
    background: inherit;
    overflow: hidden;
    border-radius: 6px;
    z-index: 1;
}

.glass::before{
    content: "";
    position: absolute;
    background: inherit;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    box-shadow: inset 0 0 2000px  rgba(255, 255, 255, 0.5);
    filter: blur(5px);
    margin: -5px;
    z-index: -1;
}

#footer{
    width: 100%;
    height: 0px;
    margin: auto;
    text-align: center;
    letter-spacing: 1px;
    color: rgba(177, 184, 184, 0.507);
    line-height: 4px;
    font-family: 'Lato', sans-serif;
    font-weight: 300;
    padding-bottom: 20px;
    position: absolute;
    bottom: 0;
    margin-top: 25px;
}

/* #loader-page,
#guest-home-page{
    display: none;
} */

a{
    text-decoration: none;
}

.blink {
    animation: blinker 2.5s linear infinite;
    /* animation: blinkingBackground 4s infinite; */
  }
  
  @keyframes blinker {
    70% {
      opacity: 0.4;
    }
}

/* @keyframes blinkingBackground{
    0%		{ background-color: #d5d4e7;}
    25%		{ background-color: #b4b1c2;}
    50%		{ background-color: #a578bd;}
    75%		{ background-color: #b4b1c2;}
    100%	        { background-color: #d5d4e7;}
} */
#welcome-user a{
    font-family: 'Dancing Script', cursive;
    font-size: 30px;
}

/* SVG Waves */
.bottom-waves{
    display: block;
}